#ifdef DOS
#include "protoud.h"

#define strncasecmp(a, b, n)	strnicmp(a, b, n)
#define strcasecmp(a, b)	stricmp(a, b)

#define MAX_VALUES	8
#define MAX_VAL_SIZE	256
#else
#define MAX_VALUES	10
#define MAX_VAL_SIZE	512
#endif

#define MAX_ATTRS 	16
#define MAX_NUM_NAMES	256

#define RESP_SIZE	16
#define LINE_SIZE	80
#define MAX_LINES	10

#define COMMON_NAME	"cn"
#define TITLE		"title"
#define POSTAL_ADDRESS	"postalAddress"
#define PHONE_NUMBER	"telephoneNumber"
#define E_MAIL_ADDRESS	"mail"
#define HOME_PHONE	"homePhone"
#define HOME_ADDRESS	"homePostalAddress"
#define OBJECT_CLASS	"objectClass"
#define MLDESCRIPTION	"multiLineDescription"
#define DESCRIPTION	"description"
#define OWNER		"owner"
#define MEMBERS		"member"
#define FAX		"facsimileTelephoneNumber"
#define UNIQNAME	"uid"
#define PASSWORD	"userPassword"
#define UPDATES		"noBatchUpdates"

#define DEFAULT_BASE	"ou=People, o=University of Michigan, c=US"
#define DEFAULT_SERVER	"ldap"
#define DEFAULT_LINES	24

#define CONFIG_FILE	"/etc/ud.conf"

#define UD_USER		NULL
#define UD_PASSWD	NULL
#define UD_AUTH_METHOD	LDAP_AUTH_SIMPLE

struct entry {
	char name[MAX_VAL_SIZE];
	char names[MAX_VALUES][MAX_VAL_SIZE];
	char title[MAX_VALUES][MAX_VAL_SIZE];
	char email[MAX_VALUES][MAX_VAL_SIZE];
	char baddr[MAX_VALUES][MAX_VAL_SIZE];
	char bphon[MAX_VALUES][MAX_VAL_SIZE];
	char hphon[MAX_VALUES][MAX_VAL_SIZE];
	char haddr[MAX_VALUES][MAX_VAL_SIZE];
	char descr[MAX_VALUES][MAX_VAL_SIZE];
	char mldsc[MAX_VALUES][MAX_VAL_SIZE];
	char class[MAX_VALUES][MAX_VAL_SIZE];
	char faxxx[MAX_VALUES][MAX_VAL_SIZE];
	char uid_x[MAX_VALUES][MAX_VAL_SIZE];

	/* these are used for groups */
	char owner[MAX_VALUES][MAX_VAL_SIZE];
	char mmbrs[MAX_VALUES * 10][MAX_VAL_SIZE];
};

#if defined(BSD) && BSD >= 199006 || defined(sparc) || defined(ultrix) || defined ( NeXT ) || defined( _AIX )
#define SIG_FN	void		/* signal-catching functions return void */
#else
#ifdef SYSV
#define SYSV_SIGNALS
#define SIG_FN	void		/* signal-catching functions return void */
#else
#define SIG_FN	int		/* signal-catching functions return int */
#endif
#endif

#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif
